Bug 438261 - KDE science screensaver blank
Summary: KDE science screensaver blank
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeartwork   
(Show other bugs)
Version: 8
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-19 21:46 UTC by Philip Ashmore
Modified: 2008-05-07 04:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 20:36:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Ashmore 2008-03-19 21:46:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
In control center select the "science" screen saver.
The test button works as expected, showing the warping of the desktop.
Clicking on the "lock the session" in the "Lock/Logout Buttons" kicker applet blacks the screen but still requires a password to resume the session.

I'm using the nvidia display driver, but I'm guessing the problem isn't there.

Version-Release number of selected component (if applicable):
kdebase-3.5.9-3.fc8

How reproducible:
Always


Steps to Reproduce:
1. Select the "science" screen saver
2. Lock the session


Actual Results:
I see a black screen.
Touching the touchpad or any key activates the password request dialog.

Expected Results:
The screen image should remain visible so the science screen saver can warp it.
It might be warping the black screen, I can't tell.

Additional info:

Comment 1 Kevin Kofler 2008-03-19 21:50:29 UTC
Keeping screen contents displayed when the screen is locked is a security risk, 
so I'm not convinced that this isn't intentional.

Comment 2 Philip Ashmore 2008-03-19 23:17:23 UTC
The reason I use the science screen saver is for security reasons.

When I'm about to lock the session I display something that isn't security
sensitive, plus the clock on the bottom-right in the kicker panel. When I come
back to the screen that clock had better be showing the same time as the time I
left it.
I can't guarantee my password is unique, and I can't guarantee that someone
can't hack my system and write software that can recreate the screen at a
particular time, but my memory of statistics tells me that combining unlikely
things A and B is A*B - even less likely.

When it comes down to security, anything helps.

Comment 3 Philip Ashmore 2008-03-21 19:30:49 UTC
The "science" KDE screen saver is working OK now - even though I didn't do any
yum updates, just a couple of reboots.

Go figure.

Comment 4 Rex Dieter 2008-03-21 20:36:23 UTC
good to hear.

Comment 5 Philip Ashmore 2008-05-07 04:48:55 UTC
It happened again.

I also noticed that the tool-tip for the "lock the session" button on the kicker
applet.

I usually hibernate rather than reboot.
A reboot solved the problem.


Comment 6 Philip Ashmore 2008-05-07 04:50:21 UTC
Oops!

I also noticed that the tool-tip for the "lock the session" button on the kicker
applet _didn't appear when I hovered the mouse over it._


Note You need to log in before you can comment on or make changes to this bug.